#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.21
visibility:           public
id:                   hledger-lib-1.21-7Dly0usbgJfHrJjd0W8iGy
key:                  hledger-lib-1.21-7Dly0usbgJfHrJjd0W8iGy
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  c1287558c504032a10731adf85c3071b
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hledger-lib-1.21
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hledger-lib-1.21
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hledger-lib-1.21
hs-libraries:         HShledger-lib-1.21-7Dly0usbgJfHrJjd0W8iGy
depends:
    Decimal-0.5.2-21q5o1JaTNn9lrn8yQM3mL
    Glob-0.10.1-BZOPvYGy3ZVI2EVTKpqIKA
    aeson-1.5.6.0-Er8hVcKeB6UIjaphu3gpm9
    aeson-pretty-0.8.8-EPWu0dhcsnC2Xnsfq530ml
    ansi-terminal-0.11-B33URfqMvdcAXWIdsUyVZE array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.2-FCcWKJK8SQY350IGrwXoZd
    blaze-markup-0.8.2.8-BqQXTPAKmSh8XDrKlZRb34 bytestring-0.10.12.0
    call-stack-0.3.0-5Mj0U3oidh8Dm8auDPZCpq
    cassava-0.5.2.0-GI6IwyuXnI6GGSiKrTd0G1
    cassava-megaparsec-2.0.2-LGpJjmfHE9rBMRCh4U1Wg8
    cmdargs-0.10.21-KlHphs6sBhIECkIRkNdEOM containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    extra-1.7.9-DvWXGTdIEPlIawSvT2aVoi
    file-embed-0.0.13.0-w1EA2BlVGr45s6RdXSQRQ filepath-1.4.2.1
    hashtables-1.2.4.1-GfXrTABjbn0FuNfycGbhVA
    megaparsec-9.0.1-HJ0gKKg9cIg23qCjGAX52V mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd
    pretty-simple-4.0.0.0-GG92M2LUi7k9WPZG6zbLMu
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    tabular-0.2.2.8-CBujZAWqvuoASG1Z76xmdo
    tasty-1.4.1-ACbXYvL9xLqL3Y81kVS4Zq
    tasty-hunit-0.10.0.3-9ObdFCOU9upB80KXjltbh
    template-haskell-2.16.0.0 text-1.2.4.1 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    unordered-containers-0.2.13.0-4AoMTstniRpGNa4LW5BINH
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

